import request from "@/utils/request";

// 查询轮播图数据列表
export function listCarousel(query) {
  return request({
    url: "/oa/carousel/list",
    method: "get",
    params: query,
  });
}

// 查询轮播图数据详细
export function getCarousel(id) {
  return request({
    url: "/oa/carousel/" + id,
    method: "get",
  });
}

// 新增轮播图数据
export function addCarousel(data) {
  return request({
    url: "/oa/carousel/add",
    method: "post",
    data: data,
  });
}

// 修改轮播图数据
export function updateCarousel(data) {
  return request({
    url: "/oa/carousel",
    method: "put",
    data: data,
  });
}

// 删除轮播图数据
export function delCarousel(id) {
  return request({
    url: "/oa/carousel/" + id,
    method: "delete",
  });
}
